#
# spec file for package kdesdk (Version 2.2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdebase kdebase-devel kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions qt-static sp sp-devel xf86 xf86glu xf86glu-devel xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdebase kdebase-devel kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions qt-static rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         kdesdk
Obsoletes:    ksdk2
Provides:     ksdk2
Requires:     gettext
Copyright:    GPL
Group:        X11/KDE/Base
Summary:      The KDE 2 Software Development Kit
Version:      2.2.1
Release:      103
BuildRoot:    /var/tmp/%{name}-buildroot
Source0:      %{name}-%{version}.tar.bz2
Patch0:       %{name}-%{version}.dif

%description
This is a collection of applications and tools used by KDE 2 developers
and translators.
Note: This package was not part of the official KDE 2 release. It is a
snapshot, created at the time the other KDE2 packages are done.

Authors:
--------
    The KDE Team <kde@kde.org>

SuSE series: k2de

%package devel
Version:      2.2.1
Release:      103
Requires:       kdesdk kdelibs-devel
Summary:      The KDE 2 Software Development Kit
Group:          X11/KDE/Development
 

%description devel
This is a collection of applications and tools used by KDE 2 developers
and translators.

SuSE series: k2de

%prep
%setup
%patch

%build
export OPT_LEVEL="-O2"
[ ! -x ./configure ] && make -f Makefile.cvs
 
CXXFLAGS="$RPM_OPT_FLAGS $CXXFLAGS -DNDEBUG  $OPT_LEVEL " ./configure \
  --prefix=/opt/kde2 \
  --enable-final \
  --disable-debug \
  --mandir=%{_mandir} \
  --with-qt-dir=/usr/lib/qt2 \
  
make

%install
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT install-strip

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%doc COPYING README 
/opt/kde2/share/applnk/*
/opt/kde2/share/apps/*
/opt/kde2/share/doc/HTML/en/*
/opt/kde2/share/icons/*/??x??/*/*
/opt/kde2/bin/*
/opt/kde2/lib/*
/opt/kde2/share/mimelnk/application/*
/opt/kde2/share/services/*

%files -n kdesdk-devel
/usr/share/man/man1/*
/opt/kde2/include/*

%changelog -n kdesdk
* Sat Sep 22 2001 - adrian@suse.de
- disable splash screen in kbabel
  (it covers a MessageBox on first start)
* Sat Sep 08 2001 - adrian@suse.de
- update to 2.2.1
* Fri Aug 24 2001 - adrian@suse.de
- update to 2.2.0 final
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Thu Aug 02 2001 - adrian@suse.de
- 2.2pre1
* Fri Jun 29 2001 - adrian@suse.de
- 2.2beta1
* Mon Apr 16 2001 - adrian@suse.de
- 2.2alpha1
* Sun Apr 08 2001 - adrian@suse.de
- -O2 for alpha and ppc
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 20 2001 - adrian@suse.de
- update to final 2.1.1
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Feb 22 2001 - adrian@suse.de
- update to final 2.1.0
* Wed Feb 14 2001 - adrian@suse.de
- update to 2.1 post beta 2
* Thu Jan 04 2001 - adrian@suse.de
- change default of date format. using +MET instead of MET
* Sat Nov 18 2000 - adrian@suse.de
- newer snapshot from KDE_2_0_BRANCH
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
* Tue Sep 19 2000 - adrian@suse.de
- switch to -O0 for axp
* Sun Sep 17 2000 - adrian@suse.de
- update to post final beta
* Wed Aug 23 2000 - adrian@suse.de
- remove kdeqtadd ... not needed anymore
* Sun Jul 30 2000 - adrian@suse.de
- update to post beta 3 snapshot; compile fix
* Mon Jul 17 2000 - adrian@suse.de
- snapshot from 17.07.2000
* Sun Jul 09 2000 - adrian@suse.de
- snapshot from 06.07.2000
* Fri Jul 07 2000 - adrian@suse.de
- Spec file created from kdesdk-1.91.20000706.tar.gz by autospec
